/* Layout geral do produto */
.woocommerce li.produtos-info-custom {
  display: flex !important;
  flex-direction: row !important;
  width: 100% !important;
  padding: 20px !important;
  background: white !important;
  
  text-align: center;
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-radius: 14px;
    border-color: #E4E4E4;
}

/* Link + imagem */
.woocommerce-loop-product__link {
  display: flex;
  flex-direction: row;
  gap: 20px;
  align-items: flex-start;
}

.woocommerce-loop-product__link img {
  max-width: 150px !important;
  flex-shrink: 0 !important;
  margin: 0 !important;
  border-radius: 14px !important;
}

/* Resumo */
.astra-shop-summary-wrap {
  flex-direction: row;
  display: flex;
  justify-content: space-between;
  width: 100%;
  align-items: center;
}

/* Bloco de info */
.produto-info {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: start;
  margin-left: 25px;
  text-align: left;
  width: 40%;
}
.produto-descricao {
  line-height: 120%;
  font-size: 14px;
  color: #959595;
  font-weight: normal;
}

/* Preço + rating */
.produto-preco-rating bdi {
  font-weight: normal;
  font-size: 17px;
}

/* Categoria */
.woocommerce-js li.product .ast-woo-product-category {
  background-color: #0c893e;
  color: white;
  padding: 5px;
  border-radius: 5px;
  font-size: 11px;
  line-height: 120%;
  opacity: 1;
}

.ast-woo-product-category > a {
    color: white;
}

/* Botão */
.woocommerce a.button {
  background-color: #D96226;
}

.woocommerce-js li.product .woocommerce-loop-product__title
{
    margin-bottom: .5em;
    padding: 0;
    font-size: 1em;
}

#lista-produtos {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.woocommerce-js a.button {
    color: white;
}

.woocommerce-js ul.products li.product .ast-woo-product-category {
    opacity: 1;
}

.woocommerce-js h2 {
    margin-bottom: 0 !important;
}

.ast-container {
    max-width: 100% !important;
    padding: 0 !important;
}

@media (max-width: 767px) {
    .woocommerce li.produtos-info-custom {
        flex-direction: column !important;
        align-items: center !important;
    }
    
    .astra-shop-summary-wrap {
        flex-direction: column;
    }
    
    .produto-info {
        width: 100%;
        margin: 14px 0 0 0;
    }
    
    .produto-preco-rating {
        margin-top: 14px;
    }
    
    .elementor-18740 .elementor-element.elementor-element-3cc0f34.elementor-wc-products ul.products li.product .button {
        width: 100%;
    }
    
    .produto-preco-rating {
        flex-direction: row;
        align-items: center;
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    
    .woocommerce-loop-product__link img {
      max-width: max-content !important;
    }
}